## org.apache.aries.subsystem.core.archive
Class TypedAttribute

    java.lang.Object
      org.apache.aries.subsystem.core.archive.AbstractParameter
          org.apache.aries.subsystem.core.archive.AbstractAttribute
              org.apache.aries.subsystem.core.archive.TypedAttribute

All Implemented Interfaces:
  Attribute, Parameter

    public class TypedAttribute

extends AbstractAttribute

Nested Class Summary
`static class` `TypedAttribute.Type`

Constructor Summary
`TypedAttribute(String name, String value, String type)`
`TypedAttribute(String name, String value, TypedAttribute.Type type)`

Method Summary
`TypedAttribute.Type` `getType()`

Methods inherited from class org.apache.aries.subsystem.core.archive.AbstractAttribute
`appendToFilter, toString`

Methods inherited from class org.apache.aries.subsystem.core.archive.AbstractParameter
`getName, getValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.aries.subsystem.core.archive.Parameter
`getName, getValue`

Constructor Detail

### TypedAttribute

    public TypedAttribute(String name,
                          String value,
                          String type)

### TypedAttribute

    public TypedAttribute(String name,
                          String value,
                          TypedAttribute.Type type)

Method Detail

### getType

    public TypedAttribute.Type getType()

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.